summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDuco van Amstel <duco.vanamstel@gmail.com>2018-10-12 22:14:36 +0100
committerWim <wim@42.be>2018-10-12 23:14:36 +0200
commit97b1fc813b0fd363fb82df3cba2b4e8ce8e394b8 (patch)
treeac04eeb9a7ad53285e1f1e8e66187847af8b8d9d
parent917040b044e349eadc886f9685ada30d164687eb (diff)
downloadmatterbridge-msglm-97b1fc813b0fd363fb82df3cba2b4e8ce8e394b8.tar.gz
matterbridge-msglm-97b1fc813b0fd363fb82df3cba2b4e8ce8e394b8.tar.bz2
matterbridge-msglm-97b1fc813b0fd363fb82df3cba2b4e8ce8e394b8.zip
Bump Go version in Travis CI (#518)
-rw-r--r--.travis.yml4
-rwxr-xr-xci/bintray.sh2
-rw-r--r--matterclient/matterclient.go2
3 files changed, 3 insertions, 5 deletions
diff --git a/.travis.yml b/.travis.yml
index 2ed49274..a51918bf 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -1,8 +1,6 @@
language: go
go:
- #- 1.7.x
- - 1.10.x
- # - tip
+ - 1.11.x
# we have everything vendored
install: true
diff --git a/ci/bintray.sh b/ci/bintray.sh
index 1ca8ba25..b0fb7d6a 100755
--- a/ci/bintray.sh
+++ b/ci/bintray.sh
@@ -1,5 +1,5 @@
#!/bin/bash
-go version |grep go1.10 || exit
+go version | grep go1.11 || exit
VERSION=$(git describe --tags)
mkdir ci/binaries
GOOS=windows GOARCH=amd64 go build -ldflags "-s -w -X main.githash=$(git log --pretty=format:'%h' -n 1)" -o ci/binaries/matterbridge-$VERSION-windows-amd64.exe
diff --git a/matterclient/matterclient.go b/matterclient/matterclient.go
index fbe331e9..117a2fe9 100644
--- a/matterclient/matterclient.go
+++ b/matterclient/matterclient.go
@@ -843,7 +843,7 @@ func (m *MMClient) StatusLoop() {
if m.OnWsConnect != nil {
m.OnWsConnect()
}
- m.log.Debug("StatusLoop:", m.OnWsConnect)
+ m.log.Debugf("StatusLoop: %p", m.OnWsConnect)
for {
if m.WsQuit {
return